Bug 118870 - (ALSA ALI5451) does not produce sound on recent kernels (userspace bug?)
(ALSA ALI5451) does not produce sound on recent kernels (userspace bug?)
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-03-21 22:59 EST by Barry K. Nathan
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-05-06 07:28:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Barry K. Nathan 2004-03-21 22:59:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040225 Firefox/0.8

Description of problem:
When I boot into a recent kernel (2.6.4-1.275 through 2.6.4-1.279, so
far), my sound card goes silent (no matter how I adjust the volume).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Boot and log in (graphically) as a normal user.
2. Run system-config-soundcard.
3. Enter root password.
4. Click "Play test sound".

Actual Results:  No sound. (This happens with 2.6.4-1.275 and

Expected Results:  User hears test sound. (This happens with
2.6.4-1.270 and earlier, includng 2.6.3-

Additional info:
The machine is a Toshiba Portege 3500. This is with the internal
speaker; I have not yet tried plugging in external speakers (i.e. I
know that works with older kernels but I don't know if the new kernels
work with external speakers, or just not at all).
Comment 1 Sahil Verma 2004-03-22 01:16:37 EST
Run alsamixer and unmute 'Master'.
Comment 2 Barry K. Nathan 2004-03-22 02:08:03 EST
No, master seems to be already unmuted by the time I finish logging in
and run alsamixer. Even with it unmuted (and turned up to 75 or so)
and with PCM turned up similarly, no sound. With the same setup on
older kernels, I get sound. (Unmuting and turning up "Master Mono"
doesn't help either.)

As I said above, this happens with some kernels and not others. I'm
running ALSA in both cases.

My current theory (I'm compiling kernels now in order to test it) is
that this is a bug that was introduced in 2.6.4-bk4...
Comment 3 Barry K. Nathan 2004-03-22 04:25:42 EST
Indeed, the problem happens with 2.6.4-bk4, but not 2.6.4-bk3.
Comment 4 Barry K. Nathan 2004-03-22 05:57:09 EST
2.6.4-bk3 plus this patch also has the problem:
Comment 5 Barry K. Nathan 2004-03-25 13:28:01 EST
It looks like have to unmute "External" ("External Amplifier") in
alsamixer in order to get sound with recent kernels. Even if "Master"
and "PCM" are not muted, those alone are insufficient to get sound.

BTW, this "External Amplifier" does not appear in aumix (which is an
OSS mixer control AFAIK).

Right now I don't know if this counts as a userspace bug, a kernel
bug, or just problem-exists-between-keyboard-and-chair. However, at a
minimum I would expect system-config-soundcard to make sure this is
unmuted before playing the test sound (otherwise there is *no way* for
the user to hear the sound).
Comment 6 Sahil Verma 2004-03-25 13:41:16 EST
Yeah, alsamixer and gnome-alsamixer will show all the controls.
gnome-volume-control in GNOME 2.6 should have support for ALSA
controls too.

This is a userspace issue, we need to know *all* of the controls that
must be unmuted and asoundrc should reflect that. Someone should ask
the ALSA devs...
Comment 7 Barry K. Nathan 2004-03-25 16:40:24 EST
Actually, I think some of them need to stay muted or else you can have
*other* sound problems. (I'll post another comment to this bug within
the next day or so to explain what I mean by this. Right now I need to
get some sleep though.)
Comment 8 Barry K. Nathan 2004-03-26 08:46:16 EST
Oops, never mind my previous comment, I was tired and misread your
(Sahil's) comment. Sorry about that.
Comment 9 Barry K. Nathan 2004-05-03 15:10:31 EDT
Since it's been a while, let me update things:

The laptop is question is currently running RHEL 3WS, as I'm looking
at it for possible deployment in my day job. Under that distribution,
I have not had this sound problem with the recent kernels from

I now need to retest with FC2t3. I'll do that this week, maybe even today.
Comment 10 Barry K. Nathan 2004-05-06 07:28:38 EDT
A fresh install of FC devel (as of 2004-05-05) does not reproduce this
bug, so whatever it was, it seems to be fixed now. Closing.

Note You need to log in before you can comment on or make changes to this bug.